Package com.sas.lsaf.security.group

## Class Group

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.security.group.GroupDescriptor
    - - com.sas.lsaf.security.group.Group

- All Implemented Interfaces:
    `Identifiable`, `Principal`, `java.io.Serializable`

      public class Group
      extends GroupDescriptor

  Group is a collection of principals (users or other groups) that are uniquely identified by a name and context. A group is associated with and scoped to a context in which it is defined. Group contexts are contexts that are defined in the repository hierarchy and that have the membership capability.
  Since:
    1.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Group​(java.lang.String id, ObjectIdentity context, java.lang.String name, java.lang.String description, long revision, java.util.Set<Principal> members)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Set<Principal>` | `getMembers()` | Gets the members of the group.
    `long` | `getRevision()` | Gets the internal revision number of the object.
    `int` | `hashCode()` |
    `void` | `setMembers​(java.util.Set<Principal> members)` | Sets the members of the group.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.security.group.GroupDescriptor

      `getContext, getDescription, getName, getPrincipalId, getPrincipalName, setDescription, setName`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sas.lsaf.core.Identifiable

      `getId, getTypeId`

- - ### Constructor Detail

    - #### Group

          public Group​(java.lang.String id,
                       ObjectIdentity context,
                       java.lang.String name,
                       java.lang.String description,
                       long revision,
                       java.util.Set<Principal> members)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the groups returned by the API.
      Parameters:
        `id` - the unique identifier of the group.
        `context` - the context in which the group was defined.
        `name` - the name of the group.
        `description` - the description of the group.
        `revision` - the internal revision number of this group.
        `members` - the members of the group.

  - ### Method Detail

    - #### getRevision

          public long getRevision()

      Gets the internal revision number of the object.
      Returns:
        The internal revision number of the object.

    - #### getMembers

          public java.util.Set<Principal> getMembers()

      Gets the members of the group.
      Returns:
        The members.

    - #### setMembers

          public void setMembers​(java.util.Set<Principal> members)

      Sets the members of the group.
      Parameters:
        `members` - the members of the group.

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Principal`
      Overrides:
        `hashCode` in class `GroupDescriptor`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Specified by:
        `equals` in interface `Principal`
      Overrides:
        `equals` in class `GroupDescriptor`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `GroupDescriptor`